tbb::this_tbb_thread Namespace Reference

## Functions

__TBB_DEPRECATED_IN_VERBOSE_MODE tbb_thread::id | get_id ()
__TBB_DEPRECATED_IN_VERBOSE_MODE void | yield ()
| Offers the operating system the opportunity to schedule another thread. More...
__TBB_DEPRECATED_IN_VERBOSE_MODE void | sleep (const tick_count::interval_t &i)
| The current thread blocks at least until the time specified. More...

## Function Documentation

## get_id()

__TBB_DEPRECATED_IN_VERBOSE_MODE tbb_thread::id tbb::this_tbb_thread::get_id | ( |  | ) |

inline

Definition at line 331 of file tbb_thread.h.

{ return internal::thread_get_id_v3(); }
tbb::internal::thread_get_id_v3
tbb_thread_v3::id __TBB_EXPORTED_FUNC thread_get_id_v3()
Definition: tbb_thread.cpp:139

References tbb::internal::thread_get_id_v3().

Referenced by tbb::internal::tbb_thread_v3::join(), tbb::internal::critical_section_v4::lock(), tbb::internal::critical_section_v4::try_lock(), and tbb::internal::critical_section_v4::unlock().

Here is the call graph for this function:
Here is the caller graph for this function:

## sleep()

__TBB_DEPRECATED_IN_VERBOSE_MODE void tbb::this_tbb_thread::sleep | ( | const tick_count::interval_t & | i | ) |

inline

The current thread blocks at least until the time specified.

Definition at line 335 of file tbb_thread.h.

{
internal::thread_sleep_v3(i);
}
tbb::internal::thread_sleep_v3
void __TBB_EXPORTED_FUNC thread_sleep_v3(const tick_count::interval_t &i)
Definition: tbb_thread.cpp:164

References tbb::internal::thread_sleep_v3().

Here is the call graph for this function:

## yield()

__TBB_DEPRECATED_IN_VERBOSE_MODE void tbb::this_tbb_thread::yield | ( |  | ) |

inline

Offers the operating system the opportunity to schedule another thread.

Definition at line 333 of file tbb_thread.h.

{ internal::thread_yield_v3(); }
tbb::internal::thread_yield_v3
void __TBB_EXPORTED_FUNC thread_yield_v3()
Definition: tbb_thread.cpp:159

References tbb::internal::thread_yield_v3().

Here is the call graph for this function:

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.